Qt Documentation (Technology Preview) | Qt Network Authorization | C++ Classes | QAbstractOAuthReplyHandler

Qt 5.9.3 Reference Documentation

# QAbstractOAuthReplyHandler Class

Handles replies to OAuth authentication requests More...

Header: | #include <QAbstractOAuthReplyHandler>
qmake: | QT += networkauth
Since: | Qt 5.8
Inherits: | QObject

- List of all members, including inherited members

## Public Functions

| QAbstractOAuthReplyHandler(QObject *parent = nullptr)
virtual | ~QAbstractOAuthReplyHandler()
virtual QString | callback() const = 0

- 32 public functions inherited from QObject

## Public Slots

virtual void | networkReplyFinished(QNetworkReply *reply) = 0

- 1 public slot inherited from QObject

## Signals

void | callbackDataReceived(const QByteArray &data)
void | callbackReceived(const QVariantMap &values)
void | replyDataReceived(const QByteArray &data)
void | tokensReceived(const QVariantMap &tokens)

- 2 signals inherited from QObject

## Protected Functions

| QAbstractOAuthReplyHandler(QObjectPrivate &d, QObject *parent = nullptr)

- 9 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

Handles replies to OAuth authentication requests

The QAbstractOAuthReplyHandler class handles the answers to all OAuth authentication requests

## Member Function Documentation

### QAbstractOAuthReplyHandler::QAbstractOAuthReplyHandler(QObject *parent = nullptr)

Default constructs an instance of QAbstractOAuthReplyHandler.

### `[protected]` QAbstractOAuthReplyHandler::QAbstractOAuthReplyHandler(QObjectPrivate &d, QObject *parent = nullptr)

Default constructs an instance of QAbstractOAuthReplyHandler.

### `[virtual]` QAbstractOAuthReplyHandler::~QAbstractOAuthReplyHandler()

Destroys the instance of QAbstractOAuthReplyHandler. The destructor is virtual.

### `[pure virtual]` QString QAbstractOAuthReplyHandler::callback() const

### `[signal]` void QAbstractOAuthReplyHandler::callbackDataReceived(const QByteArray &data)

### `[signal]` void QAbstractOAuthReplyHandler::callbackReceived(const QVariantMap &values)

### `[pure virtual slot]` void QAbstractOAuthReplyHandler::networkReplyFinished(QNetworkReply *reply)

### `[signal]` void QAbstractOAuthReplyHandler::replyDataReceived(const QByteArray &data)

### `[signal]` void QAbstractOAuthReplyHandler::tokensReceived(const QVariantMap &tokens)